/**
 *   \file common.h
 *   \brief Déclaration pour la (dé)compression d’images
 */

#ifndef COMPRESS_H
#define COMPRESS_H

#include "ppm.h"

/// Teste l’éligibilité d’un pixel à une zone
bool sameColor(Pixel *t_pixel, Zone *t_zone);
/// Ajoute un pixel et ses pixels connexes à une zone
void addPixelToSelectedZone(Image *t_img, long t_idx, Zone *t_zone);
/// Sélectionne la zone correspondant à la couleur d'un pixel
void chooseZoneForPixel(Image *t_img, long t_idx, darray *zones);
/// Créé les zones d'une image
darray *imgToZones(Image *t_img);
/// Compresse l'image d'entrée
void compress(const char *t_input_file);

#endif /* COMPRESS_H */
